Get box information for a given application. | Algorand Developer Portal

Get box information for a given application.

GET

/v2/applications/{application-id}/box

Given an application ID and box name, returns base64 encoded box name and value. Box names must be in the goal app call arg form ‘encoding:value’. For ints, use the form ‘int:1234’. For raw bytes, encode base 64 and use ‘b64’ prefix as in ‘b64:A==’. For printable strings, use the form ‘str:hello’. For addresses, use the form ‘addr:XYZ…’.

Parameters

Path Parameters

application-id
required
integer

Query Parameters

name
required
string

A box name in goal-arg form ‘encoding:value’. For ints, use the form ‘int:1234’. For raw bytes, use the form ‘b64:A==’. For printable strings, use the form ‘str:hello’. For addresses, use the form ‘addr:XYZ…’.

Responses

200

Box information
Select media type application/json

Box name and its content.

object

name
required
[\name] box name, base64 encoded

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

round
required
The round for which this information is relevant

integer

value
required
[\value] box value, base64 encoded.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

400

Response for errors

Select media type application/json

object

data
object

message
required
string

404

Response for errors

Select media type application/json

object

data
object

message
required
string

500

Response for errors

Select media type application/json

object

data
object

message
required
string